@charset "utf-8";
/* Main CSS */


html,
body {
    width: 100%;
    height: 100%;
}

*, *::before, *::after {
    -moz-box-sizing: border-box; 
    -webkit-box-sizing: border-box; 
    box-sizing: border-box;
}

/***********************************************************************************
  
Universal Typography
  
************************************************************************************/

body {
    font-family: 'Open Sans', sans-serif;
	font-weight: 400;
    font-size: 14px;
}

a {
    text-decoration: none;
}

strong {
    font-family: 'Open Sans', sans-serif;
	font-weight: 700;
}

/***********************************************************************************
  
Info Bar
  
************************************************************************************/

#infobar {
    line-height: 60px;
    
    width: 100%;
    height: 60px;
    
    position: fixed;
    left: 0;
    z-index: 40;
}

#infobar.top {
    border-bottom: 1px solid;
    
    top: 0;
}

#infobar.bottom {
    border-top: 1px solid;
    
    bottom: 0;
}

#infobar.bottom {
    background
}

#infobar.light {
    background-color: rgba(255, 255, 255, 0.05);
    
    border-color: rgba(0, 0, 0, 0.075);
}

    #infobar.dark {
    background-color: rgba(0, 0, 0, 0.05);
    
    border-color: rgba(255, 255, 255, 0.075);
}

#infobar .title {    
    float: left;
    
    margin-left: 20px;
}

#infobar.light .title {
    color: rgba(0, 0, 0, 0.65);
}

#infobar.dark .title {
    color: rgba(255, 255, 255, 0.65);
}

#infobar.light .title a {
    border-bottom: 1px solid rgba(0, 0, 0, 0.15);
    
    color: rgba(0, 0, 0, 0.65);
}

#infobar.dark .title a {
    border-bottom: 1px solid rgba(255, 255, 255, 0.15);
    
    color: rgba(255, 255, 255, 0.65);
}

#infobar .actions {
    float: right;
    
    margin-right: 20px;
}

#infobar .actions a {
    border-radius: 12px;
    border: 1px solid;
    
    font-size: 12px;
    line-height: 22px;
    
    height: 24px;
    
    float: left;
    
    position: relative;
    
    padding: 0 12px;
    margin: 18px 0 0 2px;
}

#infobar .actions a.home {
    width: 24px;
    
    padding: 0;
}

#infobar .actions a.home::after {
    border-radius: 50%;
    
    width: 8px;
    height: 8px;
    
    position: absolute;
    top: 50%;
    left: 50%;
    
    margin: -4px 0 0 -4px;
    
    content: "";
}

#infobar.light .actions a {
    border-color: rgba(0, 0, 0, 0.45);
    
    color: rgba(0, 0, 0, 0.65);
}

#infobar.light .actions a.home::after {
    background-color: rgba(0, 0, 0, 0.65);
}

#infobar.light .actions a:hover {
    border-color: rgba(0, 0, 0, 0.25);
    
    color: rgba(0, 0, 0, 0.45);
}

#infobar.light .actions a.home:hover::after {
    background-color: rgba(0, 0, 0, 0.25);
}

#infobar.dark .actions a {
    border-color: rgba(255, 255, 255, 0.45);
    
    color: rgba(255, 255, 255, 0.65);
}

#infobar.dark .actions a.home::after {
    background-color: rgba(255, 255, 255, 0.65);
}

#infobar.dark .actions a:hover {
    border-color: rgba(255, 255, 255, 0.25);
    
    color: rgba(255, 255, 255, 0.45);
}

#infobar.dark .actions a.home:hover::after {
    background-color: rgba(255, 255, 255, 0.25);
}

/***********************************************************************************
  
Info Bar - Responsive Optimizations
  
************************************************************************************/

@media (max-width: 680px) {
    #infobar .title h1 span {
        display: none;
    }
}

@media (max-width: 320px) {
    #infobar .actions a.share {
        display: none;
    }
}

/***********************************************************************************
  
Sections
  
************************************************************************************/

section {
    width: 100%;
    float: left;
    margin-top: 60px;
    
    position: relative;
    
    opacity: 0;
    
    overflow: hidden;
}

section .background {
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
    background-attachment: fixed;
    
    width: 100%;
    height: 100%;
    
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10;
}

section .background::before {
    width: 100%;
    height: 100%;
    
    position: fixed;
    top: 0;
    left: 0;
    z-index: 20;
    
    content: "";
}

section.light .background::before {
    background-color: rgba(255, 255, 255, 0.5);
}

section.dark .background::before {
    background-color: rgba(0, 0, 0, 0.75);
}

/***********************************************************************************
  
Home
  
************************************************************************************/

#home .background::before {
    background-color: rgba(0, 0, 0, 0.25);
}

/***********************************************************************************
  
Error
  
************************************************************************************/

#error .background::before {
    background-color: rgba(26, 42, 54, 0.25);
}

/***********************************************************************************
  
Media Images
  
************************************************************************************/

#media.image img {
    max-width: 90%;
    max-height: 90%;
    
    position: relative;
    top: 50%;
    left: 50%;
    z-index: 30;
    
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    
    box-shadow: 0 0 2px rgba(0, 0, 0, 0.125);
}

/***********************************************************************************
  
Media Videos
  
************************************************************************************/

#media.video #video.screen {
    width: 1000px;
    height: 625px;
        
    position: relative;
    top: 50%;
    left: 50%;
    z-index: 30;
    
    -webkit-transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    
    box-shadow: 0 0 2px rgba(0, 0, 0, 0.275);
}

#media.video #video video {
    width: 100%;
    height: 100%;
}

/***********************************************************************************
  
Media Videos - Responsive Optimizations
  
************************************************************************************/

@media (max-width: 1100px) {
    #media.video #video.screen {
        width: 900px;
        height: 563px;
    }
}

@media (max-width: 1000px), (max-height: 700px) {
    #media.video #video.screen {
        width: 800px;
        height: 500px;
    }
}

@media (max-width: 900px) {
    #media.video #video.screen {
        width: 700px;
        height: 438px;
    }
}

@media (max-width: 800px) {
    #media.video #video.screen {
        width: 600px;
        height: 375px;
    }
}

@media (max-width: 700px) {
    #media.video #video.screen {
        width: 500px;
        height: 313px;
    }
}

@media (max-width: 600px) {
    #media.video #video.screen {
        width: 400px;
        height: 250px;
    }
}

@media (max-width: 500px) {
    #media.video #video.screen {
        width: 300px;
        height: 188px;
    }
}

/***********************************************************************************
  
Templates
  
************************************************************************************/

#template.light .background::before {
    background-color: rgba(255, 255, 255, 0.125);
}

#template.dark .background::before {
    background-color: rgba(0, 0, 0, 0.125);
}

#template .template {
    width: 1000px;
    
    position: absolute;
    bottom: 0;
    left: 50%;
    z-index: 30;
    
    margin-left: -500px;
}

#template .desktop {
    border-radius: 4px 4px 0 0;
    
    background-color: #e0e0e0;
    
    width: 850px;
    height: 600px;
    
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 40;
    
    padding-top: 22px;
    
    box-shadow: 0 0 2px rgba(0, 0, 0, 0.125);
}

#template .desktop .barbutton {
    border-radius: 4px;
    width: 8px;
    height: 8px;
    position: absolute;
    top: 7px;
    left: 7px;
    content: '';
}

#template .desktop .barbutton:nth-child(1) {
    background-color: #ff6357;
}

#template .desktop .barbutton:nth-child(2) {
    background-color: #ffc009;
    left: 19px;
}

#template .desktop .barbutton:nth-child(3) {
    background-color: #20ce37;
    left: 31px;
}

#template .desktop img {
    width: 100%;
}

#template .mobile {
    border-radius: 20px 20px 0 0;
    
    background-color: #303030;
    
    width: 280px;
    height: 440px;
    
    position: absolute;
    bottom: 0;
    right: 0;
    z-index: 50;
    
    box-shadow: 0 0 4px rgba(0, 0, 0, .175);
}

#template .mobile img {
    width: 256px;
    
    margin: 50px 0 0 12px;
}

#template .mobile .speaker {
    border-radius: 3px;
    
    background-color: #202020;
    
    width: 40px;
    height: 6px;
    
    position: absolute;
    top: 22px;
    left: 50%;
    
    margin-left: -20px;
    
    content: "";
}

/***********************************************************************************
  
Templates - Responsive Optimizations
  
************************************************************************************/

@media (max-width: 1100px), (max-height: 700px) {
    #template .template {
        width: 800px;
        
        margin-left: -400px;
    }
    
    #template .desktop {
        width: 800px;
        height: 565px;
    }
    
    #template .mobile {
        width: 240px;
        height: 375px;
        
        right: 40px;
    }
    
    #template .mobile img {
        width: 216px;
    }
}

@media (max-width: 900px), (max-height: 650px) {
    #template .template {
        width: 700px;
        
        margin-left: -350px;
    }
    
    #template .desktop {
        width: 700px;
        height: 500px;
    }
    
    #template .mobile {
        width: 200px;
        height: 320px;
        
        right: 40px;
    }
    
    #template .mobile img {
        width: 176px;
    }
}

@media (max-width: 800px), (max-height: 600px) {
    #template .template {
        width: 600px;
        
        margin-left: -300px;
    }
    
    #template .desktop {
        width: 600px;
        height: 425px;
    }
}

@media (max-width: 700px), (max-height: 550px) {
    #template .template {
        width: 280px;
        
        margin-left: -140px;
    }
    
    #template .desktop {
        display: none;
    }
    
    #template .mobile {
        width: 280px;
        height: 440px;
        
        right: 0;
    }
    
    #template .mobile img {
        width: 256px;
    }
}

@media (max-height: 480px) {
    #template .mobile {
        bottom: -50px;
    }
}

/***********************************************************************************
  
Loading Overlay
  
************************************************************************************/

.overlay {
    background-color: #ffffff;
    
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 100;
}

/***********************************************************************************
  
Loading Indicator
  
************************************************************************************/

.loading {
    -webkit-animation: fade-in .25s linear;
    -moz-animation: fade-in .25s linear;
    -o-animation: fade-in .25s linear;
    animation: fade-in .25s linear;
}

@-webkit-keyframes fade-in {
    from	{ opacity: 0; }
    to		{ opacity: 1; }
}

@-moz-keyframes fade-in {
    from	{ opacity: 0; }
    to		{ opacity: 1; }
}

@-o-keyframes fade-in {
    from	{ opacity: 0; }
    to		{ opacity: 1; }
}

@keyframes fade-in {
    from	{ opacity: 0; }
    to		{ opacity: 1; }
}

.loading,
.loading div {
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    border-radius: 50%;
}

.loading {   
    background-color: rgba(0, 0, 0, .075);
    
    width: 40px;
    height: 40px; 
    
    position: fixed;
    top: 50%;
    left: 50%;
    z-index: 110;
    
    padding: 10px;
    margin: -20px 0 0 -20px;
}

.loading div {
    background-color: rgba(255, 255, 255, 0.75);  
    
    width: 20px;
    height: 20px;
      
    -webkit-animation: loading .5s ease infinite;
    -moz-animation: loading .5s ease infinite;
    -o-animation: loading .5s ease infinite;
    animation: loading .5s ease infinite;
}

@-webkit-keyframes loading {
    from { opacity: .5;	-webkit-transform: scale( .75 ); }
    50%	 { opacity: 1;	-webkit-transform: scale( 1 ); }
    to	 { opacity: .5;	-webkit-transform: scale( .75 ); }
}

@-moz-keyframes loading {
    from { opacity: .5;	-moz-transform: scale( .75 ); }
    50%	 { opacity: 1;	-moz-transform: scale( 1 ); }
    to	 { opacity: .5;	-moz-transform: scale( .75 ); }
}

@-o-keyframes loading {
    from { opacity: .5;	-o-transform: scale( .75 ); }
    50%	 { opacity: 1;	-o-transform: scale( 1 ); }
    to	 { opacity: .5;	-o-transform: scale( .75 ); }
}

@keyframes loading {
    from { opacity: .5;	transform: scale( .75 ); }
    50%	 { opacity: 1;	transform: scale( 1 ); }
    to	 { opacity: .5;	transform: scale( .75 ); }
}
